Bug 1477361 - [abrt] evolution: g_io_stream_get_input_stream(): evolution killed by signal 11
Summary: [abrt] evolution: g_io_stream_get_input_stream(): evolution killed by signal 11
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-ews
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bef6d19d53b28cefc338564abbf...
: 1541154 1545719 1559461 1566779 1574381 1600724 1674138 1696696 1738413 1748320 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-01 21:25 UTC by Pavel Roskin
Modified: 2020-05-26 16:57 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:57:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (81.43 KB, text/plain)
2017-08-01 21:25 UTC, Pavel Roskin
no flags Details
File: cgroup (195 bytes, text/plain)
2017-08-01 21:25 UTC, Pavel Roskin
no flags Details
File: core_backtrace (43.87 KB, text/plain)
2017-08-01 21:25 UTC, Pavel Roskin
no flags Details
File: cpuinfo (1.35 KB, text/plain)
2017-08-01 21:25 UTC, Pavel Roskin
no flags Details
File: dso_list (25.54 KB, text/plain)
2017-08-01 21:25 UTC, Pavel Roskin
no flags Details
File: environ (1.88 KB, text/plain)
2017-08-01 21:25 UTC, Pavel Roskin
no flags Details
File: exploitable (82 bytes, text/plain)
2017-08-01 21:25 UTC, Pavel Roskin
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-01 21:25 UTC, Pavel Roskin
no flags Details
File: maps (123.02 KB, text/plain)
2017-08-01 21:25 UTC, Pavel Roskin
no flags Details
File: open_fds (4.11 KB, text/plain)
2017-08-01 21:25 UTC, Pavel Roskin
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-08-01 21:25 UTC, Pavel Roskin
no flags Details
File: var_log_messages (3.30 KB, text/plain)
2017-08-01 21:25 UTC, Pavel Roskin
no flags Details

Description Pavel Roskin 2017-08-01 21:25:30 UTC
Version-Release number of selected component:
evolution-3.24.4-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        evolution
crash_function: g_io_stream_get_input_stream
executable:     /usr/bin/evolution
journald_cursor: s=2b427e5c155c4c6ebb2ea03017e4893b;i=d342c;b=54615f1f74274aefaa1d155ae09f1b98;m=23afbe775;t=555b78e9c5961;x=5ab77fe17b286909
kernel:         4.11.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_io_stream_get_input_stream at giostream.c:231
 #1 new_iostate at soup-message-io.c:1185
 #2 soup_message_io_client at soup-message-io.c:1215
 #3 soup_message_send_request at soup-message-client-io.c:161
 #4 soup_connection_send_request at soup-connection.c:708
 #5 soup_session_send_queue_item at soup-session.c:1326
 #6 soup_session_process_queue_item at soup-session.c:1987
 #7 soup_session_real_send_message at soup-session.c:2218
 #8 e_ews_notification_unsubscribe_folder_sync at /usr/src/debug/evolution-ews-3.24.4/src/server/e-ews-notification.c:485
 #9 e_ews_notification_get_events_thread at /usr/src/debug/evolution-ews-3.24.4/src/server/e-ews-notification.c:882

Comment 1 Pavel Roskin 2017-08-01 21:25:35 UTC
Created attachment 1307809 [details]
File: backtrace

Comment 2 Pavel Roskin 2017-08-01 21:25:36 UTC
Created attachment 1307810 [details]
File: cgroup

Comment 3 Pavel Roskin 2017-08-01 21:25:37 UTC
Created attachment 1307811 [details]
File: core_backtrace

Comment 4 Pavel Roskin 2017-08-01 21:25:38 UTC
Created attachment 1307812 [details]
File: cpuinfo

Comment 5 Pavel Roskin 2017-08-01 21:25:38 UTC
Created attachment 1307813 [details]
File: dso_list

Comment 6 Pavel Roskin 2017-08-01 21:25:39 UTC
Created attachment 1307814 [details]
File: environ

Comment 7 Pavel Roskin 2017-08-01 21:25:40 UTC
Created attachment 1307815 [details]
File: exploitable

Comment 8 Pavel Roskin 2017-08-01 21:25:41 UTC
Created attachment 1307816 [details]
File: limits

Comment 9 Pavel Roskin 2017-08-01 21:25:42 UTC
Created attachment 1307817 [details]
File: maps

Comment 10 Pavel Roskin 2017-08-01 21:25:42 UTC
Created attachment 1307818 [details]
File: open_fds

Comment 11 Pavel Roskin 2017-08-01 21:25:43 UTC
Created attachment 1307819 [details]
File: proc_pid_status

Comment 12 Pavel Roskin 2017-08-01 21:25:44 UTC
Created attachment 1307820 [details]
File: var_log_messages

Comment 13 Milan Crha 2017-08-02 04:56:28 UTC
Thanks for a bug report. I see from the backtrace that the crash happened when evolution-ews tried to unsubscribe an event listener, which is used to receive notifications about changes on the server. There had been also something going on in painting, I guess one of the accounts had been connecting or something, but the other threads do not look like that. The var_log_messages file shows runtime warnings related to libsoup, thus most likely also connected to evolution-ews.

I'm not sure how to reproduce this. Did it happen for the first time for you, or you see this regularly? Eventually after any particular action? It can be even a connection state change, like when switching networks or anything like that.

Comment 14 Pavel Roskin 2017-08-02 19:16:17 UTC
I've been using Evolution with Exchange for months on that system, back when Fedora 26 was in Beta. There were no changes to Evolution configuration in the days before the crash. I don't remember Evolution crashing on the system before. That was a one-off event. I went to lunch while Evolution was open. When I came back, the system was locked (which is normal), and there was a message that Evolution had crashed. I'm using the default GNOME desktop on X11 (XDG_SESSION_TYPE=x11).

I have no idea how to reproduce the crash, but I'll keep Evolution running while going to lunch :)

Comment 15 Milan Crha 2017-08-03 04:25:22 UTC
Thanks for the update. I'll keep the bug open for the time being, though I understand this could be just some corner-case issue, thus very hard to reproduce.

Comment 16 Milan Crha 2018-02-06 09:12:42 UTC
*** Bug 1541154 has been marked as a duplicate of this bug. ***

Comment 17 Milan Crha 2018-03-22 16:50:11 UTC
*** Bug 1559461 has been marked as a duplicate of this bug. ***

Comment 18 Milan Crha 2018-04-13 07:27:47 UTC
*** Bug 1566779 has been marked as a duplicate of this bug. ***

Comment 19 Milan Crha 2018-05-03 11:53:41 UTC
*** Bug 1574381 has been marked as a duplicate of this bug. ***

Comment 20 Milan Crha 2018-05-03 14:00:21 UTC
I tried to reproduce this by going from online to offline, as suggested in the last duplicate filled for Fedora 28, but no luck. Neither when running under valgrind, which can catch certain memory issues or at least log about them. I'm afraid it requires some other consequences. What I know about is that libsoup has some issues, but it might not be necessary directly related:
https://bugzilla.gnome.org/show_bug.cgi?id=781771

Comment 21 Milan Crha 2018-07-13 05:52:47 UTC
*** Bug 1545719 has been marked as a duplicate of this bug. ***

Comment 22 Milan Crha 2018-07-13 05:53:43 UTC
*** Bug 1600724 has been marked as a duplicate of this bug. ***

Comment 23 Milan Crha 2019-02-11 08:36:43 UTC
*** Bug 1674138 has been marked as a duplicate of this bug. ***

Comment 24 Hugo Figueiredo 2019-04-05 12:47:40 UTC
*** Bug 1696696 has been marked as a duplicate of this bug. ***

Comment 25 Milan Crha 2019-08-07 07:46:50 UTC
*** Bug 1738413 has been marked as a duplicate of this bug. ***

Comment 26 Milan Crha 2019-09-04 07:26:43 UTC
*** Bug 1748320 has been marked as a duplicate of this bug. ***

Comment 27 Ben Cotton 2020-04-30 21:11:59 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 28 Ben Cotton 2020-05-26 16:57:10 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.